← Back to team overview

ubuntu-sdk-team team mailing list archive

[Merge] lp:~kalikiana/ubuntu-ui-toolkit/wrapAndSort into lp:ubuntu-ui-toolkit/staging

 

Christian Dywan has proposed merging lp:~kalikiana/ubuntu-ui-toolkit/wrapAndSort into lp:ubuntu-ui-toolkit/staging.

Commit message:
Add python3-debian to control.gles and harden package-sorting.sh

Requested reviews:
  Timo Jyrinki (timo-jyrinki)
  ubuntu-sdk-build-bot (ubuntu-sdk-build-bot): continuous-integration

For more details, see:
https://code.launchpad.net/~kalikiana/ubuntu-ui-toolkit/wrapAndSort/+merge/314411
-- 
Your team Ubuntu SDK team is subscribed to branch lp:ubuntu-ui-toolkit/staging.
=== modified file 'debian/control.gles'
--- debian/control.gles	2016-11-21 12:16:49 +0000
+++ debian/control.gles	2017-01-10 12:12:10 +0000
@@ -37,6 +37,7 @@
                lsb-release,
                pep8,
                python-autopilot (>= 1.4),
+               python3-debian,
                python3-sphinx,
                python3:any,
                python:any,

=== modified file 'tests/packaging-sorting.sh'
--- tests/packaging-sorting.sh	2016-05-02 08:37:47 +0000
+++ tests/packaging-sorting.sh	2017-01-10 12:12:10 +0000
@@ -15,28 +15,24 @@
 #
 # Author: Timo Jyrinki <timo.jyrinki@xxxxxxxxxxxxx>
 
+set -e
+
 # Ensure packaging has gone through wrap-and-sort command
-
-if [ ! -f  "/usr/bin/wrap-and-sort" ] ; then
-  echo "Please install 'devscripts' package"
-  exit 1
-fi
-
 cd $(dirname $0)
 tmpdir=$(mktemp -d)
 cp -a ../debian $tmpdir
-
 wrap-and-sort -a -t -d $tmpdir/debian/
 # Verify control.gles which otherwise isn't picked up
 wrap-and-sort -a -t -d $tmpdir/debian/ -f $tmpdir/debian/control.gles
 
+set +e
 diff -urN ../debian $tmpdir/debian
 
 if [ $? == 1 ] ; then
  echo 
  echo 
  echo "*******************************************************"
- echo "Please run 'wrap-and-sort -a -t' to clean up packaging."
+ echo "Please run 'wrap-and-sort -a -t -f debian/control -f debian/control.gles' to clean up packaging."
  echo "*******************************************************"
  echo 
  exit 1